testing::ScopedTrace Class Reference

`#include <gtest.h>`

## Public Member Functions

template<typename T >
| ScopedTrace (const char *file, int line, const T &message)
| ScopedTrace (const char *file, int line, const char *message)
| ScopedTrace (const char *file, int line, const std::string &message)
| ~ScopedTrace ()

## Detailed Description

Definition at line 16835 of file gtest.h.

## Constructor & Destructor Documentation

## ScopedTrace() [1/3]

template<typename T >

testing::ScopedTrace::ScopedTrace | ( | const char * | file,
|  | int | line,
|  | const T & | message
| ) |  |

inline

Definition at line 16843 of file gtest.h.

## ScopedTrace() [2/3]

testing::ScopedTrace::ScopedTrace | ( | const char * | file,
|  | int | line,
|  | const char * | message
| ) |  |

inline

Definition at line 16848 of file gtest.h.

## ScopedTrace() [3/3]

testing::ScopedTrace::ScopedTrace | ( | const char * | file,
|  | int | line,
|  | const std::string & | message
| ) |  |

inline

Definition at line 16858 of file gtest.h.

## ~ScopedTrace()

testing::ScopedTrace::~ScopedTrace | ( |  | ) |

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h